
"""
Initialize the modules needed for the website
"""

from flask import Flask


class Config():
    """Config settings for the application"""
    SECRET_KEY = 'vteUjB3NkP0sN6KwmFNHyW8JWkmeYRKN'
    SEND_FILE_MAX_AGE_DEFAULT = 1296000


app = Flask(__name__)
app.config.from_object(Config())
app.jinja_env.lstrip_blocks = True
app.jinja_env.trim_blocks = True
